Skip to main content
GET
/
bridge
/
api
/
v1
/
workspaces
/
{workspaceId}
/
users
List internal users with filtering and pagination
curl --request GET \
  --url https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/users \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/users"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "users": [
    {
      "id": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "firstName": "John",
      "lastName": "Doe",
      "email": "john.doe@example.com",
      "cellphone": "+14084029292",
      "languageCode": "EN"
    }
  ],
  "cursor": "<string>"
}
{
"title": "Invalid Cursor",
"status": 400,
"code": "BRIDGE_CORE_0104"
}
{
"title": "Forbidden",
"status": 403,
"code": "BRIDGE_CORE_0301"
}
{
"title": "Workspace Not Found",
"status": 404,
"code": "BRIDGE_WORKSPACE_0001"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Copy the API key as provided by the Bridge Console.

Path Parameters

workspaceId
string<uuid>
required

Unique identifier of the workspace (UUID v4).

Example:

"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"

Query Parameters

email
string | null

Filter internal users by exact email address.

Example:

"john.doe@example.com"

status
enum<string>
default:active

Filter by status: 'active' (default), 'disabled', or 'all'.

Available options:
active,
disabled,
all
limit
integer
default:20

Number of internal users per page

Required range: 1 <= x <= 100
cursor
string | null

Cursor provided on a previous request to get the next page

Response

Successful Response

Response body for listing internal users.

users
InternalUserResponse · object[]
required

Array of internal users.

cursor
string | null

Cursor to be sent on the next page request.